footer {
    margin-top: $space * 20;
    margin-bottom: $space * 15;
    display: flex;
    flex-direction: column;
    gap: $space * 6;

    .footer-line {
        display: flex;
        gap: $space * 5;

        @include phone {
            flex-direction: column;
        }

        %button-footer {
            background-color: $color-header-background;
            padding: $space * 10;
            border-radius: $border-large-radius;
        }

        .footer-contact {
            @extend %button-footer;

            flex-grow: 3;
            .footer-contact-title {
                margin-bottom: $space * 4;
            }

            a {
                color: $color-text-base;
            }
        }

        .footer-vk-button {
            @extend %button-footer;
            flex-grow: 1;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .footer-partners-logos {
            display: flex;
            align-items: center;
            gap: $space * 10;

            @include phone {
                flex-direction: column;
            }
        }
    }
}
